ubuntu-location-service: com::ubuntu::location::units Namespace Reference

ubuntu-location-service .. An aggregating location service providing positioning and geocoding capabilities to applications.

Typedefs | Functions | Variables
com::ubuntu::location::units Namespace Reference

## Typedefs
typedef boost::units::degree::plane_angle | PlaneAngle
typedef boost::units::gradian::plane_angle | Gradians
typedef boost::units::si::length | Length
typedef boost::units::si::velocity | Velocity
template<typename Unit >
using | Quantity = boost::units::quantity< Unit, double >
typedef boost::units::si::dimensionless | Dimensionless

## Functions
template<typename Unit >
bool | roughly_equals (const Quantity< Unit > &lhs, const Quantity< Unit > &rhs)

## Variables
static const PlaneAngle | Degree
static const PlaneAngle | Degrees
static const Length | Meter
static const Length | Meters
static const Velocity | MeterPerSecond
static const Velocity | MetersPerSecond

## Typedef Documentation

## ◆ Dimensionless

typedef boost::units::si::dimensionless com::ubuntu::location::units::Dimensionless

Definition at line 55 of file units.h.

## ◆ Gradians

typedef boost::units::gradian::plane_angle com::ubuntu::location::units::Gradians

Definition at line 40 of file units.h.

## ◆ Length

typedef boost::units::si::length com::ubuntu::location::units::Length

Definition at line 42 of file units.h.

## ◆ PlaneAngle

typedef boost::units::degree::plane_angle com::ubuntu::location::units::PlaneAngle

Definition at line 37 of file units.h.

## ◆ Quantity

template<typename Unit >

using com::ubuntu::location::units::Quantity = typedef boost::units::quantity<Unit, double>

Definition at line 53 of file units.h.

## ◆ Velocity

typedef boost::units::si::velocity com::ubuntu::location::units::Velocity

Definition at line 48 of file units.h.

## Function Documentation

## ◆ roughly_equals()

template<typename Unit >

bool com::ubuntu::location::units::roughly_equals | ( | const Quantity< Unit > & | lhs,
|  | const Quantity< Unit > & | rhs
| ) |  |
| inline

Definition at line 62 of file units.h.

Referenced by com::ubuntu::location::SpaceVehicle::operator==().

## Variable Documentation

## ◆ Degree

const PlaneAngle com::ubuntu::location::units::Degree
| static

Definition at line 38 of file units.h.

## ◆ Degrees

const PlaneAngle com::ubuntu::location::units::Degrees
| static

Definition at line 39 of file units.h.

## ◆ Meter

const Length com::ubuntu::location::units::Meter
| static

Definition at line 43 of file units.h.

## ◆ MeterPerSecond

const Velocity com::ubuntu::location::units::MeterPerSecond
| static

Definition at line 49 of file units.h.

## ◆ Meters

const Length com::ubuntu::location::units::Meters
| static

Definition at line 44 of file units.h.

## ◆ MetersPerSecond

const Velocity com::ubuntu::location::units::MetersPerSecond
| static

Definition at line 50 of file units.h.